On Tue, 01 Aug 2017 18:44:37 +0100 Juha =?ISO-8859-1?Q?J=E4ykk=E4?=
<ju...@iki.fi> wrote:
> Still exists in 1.9.1-1+b1.
> 
> This bug is almost two years old with no activity what so ever from
> the maintainer. It the package still being maintained?
> 
> 

I am running buster/sid on kernel 4.11.0-1-amd64 and got the same issue.

After seraching on the net, I found
https://stackoverflow.com/questions/45529794/x11-importerror-no-module-named-kivy-core-window-window-x11
which give me a valid starting point.

Here is what I have done and which make kivy works with python3.
# Remove kivy package
apt-get remove --purge python3-kivy

# Get all what we need (done by trial and fail)
# Install pip3 to be able to get and compile kivy
apt-get install python3-pip
# To be able to compile 
apt-get install cython3 python3-dev
# To have sdl2 in order to have a valuable Window provider
apt-get install libsdl2-dev libsdl2-ttf-dev libsdl2-image-dev
libsdl2-mixer-dev
# To make the clipboard works (needed in some example)
python3-dev  xclip

# Compile and install kivy
pip3 install git+https://github.com/kivy/kivy.git@master

# Install kivy examples
apt-get install python-kivy-examples

# Test demo
cd /usr/share/kivy-examples/demo/showcase
python3 main.py

Hope it can be useful for others.

-- 
Jack.R

_______________________________________________
Python-modules-team mailing list
Python-modules-team@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/python-modules-team

Reply via email to